## MmGdbusOrgFreedesktopModemManager1 MmGdbusOrgFreedesktopModemManager1 — Generated C code for the org.freedesktop.ModemManager1 D-Bus interface |

## Functions

void | mm_gdbus_org_freedesktop_modem_manager1_call_scan_devices ()
gboolean | mm_gdbus_org_freedesktop_modem_manager1_call_scan_devices_finish ()
gboolean | mm_gdbus_org_freedesktop_modem_manager1_call_scan_devices_sync ()
void | mm_gdbus_org_freedesktop_modem_manager1_call_set_logging ()
gboolean | mm_gdbus_org_freedesktop_modem_manager1_call_set_logging_finish ()
gboolean | mm_gdbus_org_freedesktop_modem_manager1_call_set_logging_sync ()

## Signals

gboolean | handle-scan-devices | Run Last
gboolean | handle-set-logging | Run Last

## Types and Values

| MmGdbusOrgFreedesktopModemManager1
struct | MmGdbusOrgFreedesktopModemManager1Iface

## Object Hierarchy

        GInterface
        ╰── MmGdbusOrgFreedesktopModemManager1

## Prerequisites

MmGdbusOrgFreedesktopModemManager1 requires GObject.

## Known Implementations

MmGdbusOrgFreedesktopModemManager1 is implemented by MmGdbusOrgFreedesktopModemManager1Proxy and MmGdbusOrgFreedesktopModemManager1Skeleton.

## Description

This section contains code for working with the org.freedesktop.ModemManager1 D-Bus interface in C.

## Functions

### mm_gdbus_org_freedesktop_modem_manager1_call_scan_devices ()

    void
    mm_gdbus_org_freedesktop_modem_manager1_call_scan_devices
                                   (MmGdbusOrgFreedesktopModemManager1 *proxy,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `ScanDevices()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `mm_gdbus_org_freedesktop_modem_manager1_call_scan_devices_finish()` to get the result of the operation.

See `mm_gdbus_org_freedesktop_modem_manager1_call_scan_devices_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A MmGdbusOrgFreedesktopModemManager1Proxy. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### mm_gdbus_org_freedesktop_modem_manager1_call_scan_devices_finish ()

    gboolean
    mm_gdbus_org_freedesktop_modem_manager1_call_scan_devices_finish
                                   (MmGdbusOrgFreedesktopModemManager1 *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `mm_gdbus_org_freedesktop_modem_manager1_call_scan_devices()`.

#### Parameters

proxy | A MmGdbusOrgFreedesktopModemManager1Proxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `mm_gdbus_org_freedesktop_modem_manager1_call_scan_devices()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_org_freedesktop_modem_manager1_call_scan_devices_sync ()

    gboolean
    mm_gdbus_org_freedesktop_modem_manager1_call_scan_devices_sync
                                   (MmGdbusOrgFreedesktopModemManager1 *proxy,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `ScanDevices()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `mm_gdbus_org_freedesktop_modem_manager1_call_scan_devices()` for the asynchronous version of this method.

#### Parameters

proxy | A MmGdbusOrgFreedesktopModemManager1Proxy. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_org_freedesktop_modem_manager1_call_set_logging ()

    void
    mm_gdbus_org_freedesktop_modem_manager1_call_set_logging
                                   (MmGdbusOrgFreedesktopModemManager1 *proxy,
                                    const gchar *arg_level,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `SetLogging()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `mm_gdbus_org_freedesktop_modem_manager1_call_set_logging_finish()` to get the result of the operation.

See `mm_gdbus_org_freedesktop_modem_manager1_call_set_logging_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A MmGdbusOrgFreedesktopModemManager1Proxy. |
arg_level | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### mm_gdbus_org_freedesktop_modem_manager1_call_set_logging_finish ()

    gboolean
    mm_gdbus_org_freedesktop_modem_manager1_call_set_logging_finish
                                   (MmGdbusOrgFreedesktopModemManager1 *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `mm_gdbus_org_freedesktop_modem_manager1_call_set_logging()`.

#### Parameters

proxy | A MmGdbusOrgFreedesktopModemManager1Proxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `mm_gdbus_org_freedesktop_modem_manager1_call_set_logging()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_org_freedesktop_modem_manager1_call_set_logging_sync ()

    gboolean
    mm_gdbus_org_freedesktop_modem_manager1_call_set_logging_sync
                                   (MmGdbusOrgFreedesktopModemManager1 *proxy,
                                    const gchar *arg_level,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `SetLogging()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `mm_gdbus_org_freedesktop_modem_manager1_call_set_logging()` for the asynchronous version of this method.

#### Parameters

proxy | A MmGdbusOrgFreedesktopModemManager1Proxy. |
arg_level | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

## Types and Values

### MmGdbusOrgFreedesktopModemManager1

    typedef struct _MmGdbusOrgFreedesktopModemManager1 MmGdbusOrgFreedesktopModemManager1;

Abstract interface type for the D-Bus interface org.freedesktop.ModemManager1.

### struct MmGdbusOrgFreedesktopModemManager1Iface

    struct MmGdbusOrgFreedesktopModemManager1Iface {
      GTypeInterface parent_iface;

      gboolean (*handle_scan_devices) (
        MmGdbusOrgFreedesktopModemManager1 *object,
        GDBusMethodInvocation *invocation);

      gboolean (*handle_set_logging) (
        MmGdbusOrgFreedesktopModemManager1 *object,
        GDBusMethodInvocation *invocation,
        const gchar *arg_level);
    };

Virtual table for the D-Bus interface org.freedesktop.ModemManager1.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`handle_scan_devices` () | Handler for the “handle-scan-devices” signal. |
`handle_set_logging` () | Handler for the “handle-set-logging” signal. |

## Signal Details

### The `“handle-scan-devices”` signal

    gboolean
    user_function (MmGdbusOrgFreedesktopModemManager1 *object,
                   GDBusMethodInvocation              *invocation,
                   gpointer                            user_data)

Signal emitted when a remote caller is invoking the `ScanDevices()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `mm_gdbus_org_freedesktop_modem_manager1_complete_scan_devices()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A MmGdbusOrgFreedesktopModemManager1. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-set-logging”` signal

    gboolean
    user_function (MmGdbusOrgFreedesktopModemManager1 *object,
                   GDBusMethodInvocation              *invocation,
                   gchar                              *arg_level,
                   gpointer                            user_data)

Signal emitted when a remote caller is invoking the `SetLogging()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `mm_gdbus_org_freedesktop_modem_manager1_complete_set_logging()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A MmGdbusOrgFreedesktopModemManager1. |
invocation | A GDBusMethodInvocation. |
arg_level | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last